<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="bytes-by-period" charttype="histogram">

 <lire:title>Bytes By Period WWW Report</lire:title>
 <lire:description>
  <para>This report calculates the sum of all transfers by a
   user-configurable time period.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period which is use to
     aggregate the requests' size.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>
 
 <lire:display-spec>
  <lire:title>Total Size of Requests Served By $period Period</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">
   <lire:sum name="bytes_total" field="requested_page_size" label="Bytes"/>

   <lire:sum name="bytes_ratio" field="requested_page_size"
    ratio="table" label="% Total"/>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
